---
title: 'Warning: 08/09 is not a legal ECMA-262 octal constant'
slug: Web/JavaScript/Reference/Errors/Bad_octal
tags:
  - Error
  - Errors
  - JavaScript
  - SyntaxError
  - Warning
---
<div>{{jsSidebar("Errors")}}</div>

<p>The JavaScript warning "08 (or 09) is not a legal ECMA-262 octal constant" occurs when <code>08</code> or <code>09</code> number literals are used. They can't be interpreted as an octal number.</p>

<h2 id="Message">Message</h2>

<pre class="syntaxbox">Warning: SyntaxError: 08 is not a legal ECMA-262 octal constant.
Warning: SyntaxError: 09 is not a legal ECMA-262 octal constant.
</pre>

<h2 id="Error_type">Error type</h2>

<p>Warning. JavaScript execution won't be halted.</p>

<h2 id="What_went_wrong">What went wrong?</h2>

<p>Decimal literals can start with a zero (<code>0</code>) followed by another decimal digit, but If all digits after the leading <code>0</code> are smaller than 8, the number is interpreted as an octal number. Because this is not the case with <code>08</code> and <code>09</code>, JavaScript warns about it.</p>

<p>Note that octal literals and octal escape sequences are deprecated and will present an additional deprecation warning. With ECMAScript 6 and later, the syntax uses a leading zero followed by a lowercase or uppercase Latin letter "O" (<code>0o</code> or <code>0O)</code>. See the page about <a href="/en-US/docs/Web/JavaScript/Reference/Lexical_grammar#Octal">lexical grammar</a> for more information.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Invalid_octal_numbers">Invalid octal numbers</h3>

<pre class="brush: js example-bad">08;
09;
// SyntaxError: 08 is not a legal ECMA-262 octal constant
// SyntaxError: "0"-prefixed octal literals and octal escape sequences
// are deprecated</pre>

<h3 id="Valid_octal_numbers">Valid octal numbers</h3>

<p>Use a leading zero followed by the letter "o";</p>

<pre class="brush: js example-good">0O755;
0o644;
</pre>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Lexical_grammar#Octal">Lexical grammar</a></li>
 <li>
  <p><a href="/en-US/docs/Web/JavaScript/Reference/Errors/Deprecated_octal">SyntaxError: "0"-prefixed octal literals and octal escape seq. are deprecated</a></p>
 </li>
</ul>
